%{?nodejs_find_provides_and_requires}
%global enable_tests 1
%global srcname grunt-legacy-log-utils
Name:                nodejs-grunt-legacy-log-utils
Version:             1.0.0
Release:             1
Summary:             Static methods for the Grunt 0.4.x logger
License:             MIT
URL:                 https://github.com/gruntjs/grunt-legacy-log-utils
Source0:             https://github.com/gruntjs/grunt-legacy-log-utils/archive/v%{version}.tar.gz#/grunt-legacy-log-utils-%{version}.tar.gz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:       npm(grunt-contrib-nodeunit) npm(lodash) npm(chalk) npm(grunt-cli)
%endif
%description
%{summary}.

%prep
%setup -q -n %{srcname}-%{version}
%nodejs_fixdep lodash "^3.10.1"
rm -rf node_modules

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/grunt-legacy-log-utils
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/grunt-legacy-log-utils
%nodejs_symlink_deps
%if 0%{?enable_tests}

%check
%nodejs_symlink_deps --check
/usr/bin/grunt nodeunit
%endif

%files
%{!?_licensedir:%global license %doc}
%doc README.md
%license LICENSE-MIT
%{nodejs_sitelib}/grunt-legacy-log-utils

%changelog
* Thu Aug 20 2020 Anan Fu <fuanan3@huawei.com> - 1.0.0-1
- package init
